image: espressif/idf:v3.3.1

stages:
  - build

compile:
  stage: build
  tags:
    - docker
  script:
    - echo "Starting build..."
    - make -j10

  artifacts:
    paths:
      - build/*.bin
      - build/*.elf
      - build/*.map
      - build/bootloader/*.bin
      - build/customized_partitions/*.bin
      - build/download.config
      - build/factory/*
